Skip to content

Payout service APIs (1.0.0)

Payout service APIs

Languages
Servers
Mock server

https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/

Forex

Operations

Payout Partner

Operations

Payout Method

Operations

Data requirements

Operations

Payouts

Operations

PayoutsV2

Operations

Quotes

Operations

Webhooks

Operations

Tranglo

Operations

Routing

Operations

Data Requirement

Operations

Add data requirements to a payout method, overwriting any existing requirements through file

Request

Returns the processed file details method

Security
oauth2
Bodymultipart/form-datarequired

A file of data requirements to associate to a given payout method

dataRequirementsFilestring(binary)
curl -i -X POST \
  https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/v1/data-requirements/upload \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F dataRequirementsFile=string

Responses

Returns details about the added data requirements

Bodyapplication/json
totalPayoutMethodsintegerrequired
successfullyProcessedPayoutMethodsintegerrequired
successfullyProcessedPayoutMethodsDetailsArray of objects
payoutMethodstringrequired
dataRequirementsintegerrequired
failedPayoutMethodsintegerrequired
failedPayoutMethodsDetailsArray of objects
payoutMethodstringrequired
failureReasonstringrequired
Response
application/json
{ "totalPayoutMethods": 0, "successfullyProcessedPayoutMethods": 0, "successfullyProcessedPayoutMethodsDetails": [ {} ], "failedPayoutMethods": 0, "failedPayoutMethodsDetails": [ {} ] }